| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Static Public Member Functions | List of all members
stan::math::promoter< std::vector< F >, std::vector< T > > Struct Template Reference

`#include <promoter.hpp>`

## Static Public Member Functions
static void | promote (const std::vector< F > &u, std::vector< T > &t)
static std::vector< T > | promote_to (const std::vector< F > &u)

## Detailed Description

### template<typename F, typename T>
struct stan::math::promoter< std::vector< F >, std::vector< T > >

Definition at line 35 of file promoter.hpp.

## Member Function Documentation

template<typename F , typename T >

static void stan::math::promoter< std::vector< F >, std::vector< T > >::promote | ( | const std::vector< F > & | u,
|  | std::vector< T > & | t
| ) |  |
| inline static

Definition at line 36 of file promoter.hpp.

template<typename F , typename T >

static std::vector<T> stan::math::promoter< std::vector< F >, std::vector< T > >::promote_to | ( | const std::vector< F > & | u | ) |
| inline static

Definition at line 43 of file promoter.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/promoter.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.